-- :name get_client_omni_channel_insights :one
SELECT id,created_at,client_handle,gross_profit_margin,ppv_score,fitness_score,orders_last_12_months,net_sales_last_12_months,buyers_last_12_months,
   margin_dollars_last_12_months,average_order_value_last_12_months,purchase_frequency_last_12_months,units_per_transaction_last_12_months,
   lifetime_value_last_12_months,refund_rate_last_12_months,average_order_value_omni_channel,purchase_frequency_omni_channel,
   units_per_transaction_omni_channel,lifetime_value_omni_channel,refund_rate_omni_channel,purchase_frequency_percent_change,
   average_order_value_percent_change,refund_rate_percent_change,lifetime_value_percent_change,top_5_net_sales_percentage,top_5_units_sold_percentage,
   total_product_count,top_5_product_concentration,top_market_city,top_market_state_abbreviation,total_leap_market_count 
FROM client_omni_channel_insights WHERE client_handle = :brand_handle

-- :name get_client_omni_channel_insights_markets :many
SELECT id,client_handle,created_at,market,cbsa_code,net_sales_last_12_months,city,state_abbreviation,market_net_sales_rank,is_leap_market
FROM client_omni_channel_insights_markets WHERE client_handle = :brand_handle LIMIT :limit

-- :name get_client_omni_channel_insights_top_products_net_sales :many
SELECT id,client_handle,created_at,product_id,product_title,product_net_sales,total_brand_net_sales,product_percent_of_net_sales,product_net_sales_rank,product_count
FROM client_omni_channel_insights_top_products_net_sales WHERE client_handle = :brand_handle LIMIT :limit

-- :name get_client_omnichannel_insights_products_units_sold :many
SELECT id,client_handle,created_at,product_id,product_title,product_units_sold,total_brand_units_sold,product_percent_of_units_sold,product_units_sold_rank,product_count
FROM client_omni_channel_insights_top_products_units_sold WHERE client_handle = :brand_handle LIMIT :limit

-- :name get_omni_channel_active_leap_markets :many
SELECT id,created_at,cbsa_code,market,city,state_abbreviation,market_latitude,market_longitude
FROM omni_channel_active_leap_markets
